---

- name: Creating groups
  group: name="{{ item }}" state=present
  with_items: "{{ usergroups }}"
  tags: ['user']

- name: Per-user group creation
  group: name="{{ item.username }}" state=present
  with_items: "{{ users }}"
  tags: ['user']

- name: Create users
  user: name="{{ item.username }}" shell="{{ item.shell }}" group="{{ item.username }}" groups="sudo" home="{{ item.home|default('/home/{{ item.username }}') }}" password="{{ item.password }}"
  with_items: "{{ users }}"
  tags: ['user']

- name: Add users ssh key
  authorized_key: user="{{ item.username }}" key="{{ item.ssh_key }}"
  with_items: "{{ users }}"
  tags: ['user']

- name: Add sudoers
  lineinfile:
    dest: /etc/sudoers
    state: present
    regexp: '^%sudo\s'
    line: '%sudo ALL=(ALL) NOPASSWD: ALL'
